namespace MileageTraker.Web.ViewModels.VehicleService
{
	public class VehicleServiceQueryViewModel : DateQueryViewModel
	{
		public string VehicleId { get; set; }

		public override string ToString()
		{
			if (string.IsNullOrEmpty(VehicleId))
				return base.ToString();
			return base.ToString() + "_" + VehicleId.Replace(' ', '-');
		}

		public override bool HasParameters()
		{
			return base.HasParameters() || !string.IsNullOrEmpty(VehicleId);
		}
	}
}